AppdefResource (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.server.session.AppdefResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.server.session
Class AppdefResource

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.appdef.AppdefBean
              org.hyperic.hq.appdef.server.session.AppdefNamedBean
                  org.hyperic.hq.appdef.server.session.AppdefResource

All Implemented Interfaces:
  java.io.Serializable, ContainerManagedTimestampTrackable

Direct Known Subclasses:
  Application, PlatformBase, ServerBase, Service

    public abstract class AppdefResource

extends AppdefNamedBean

abstract base class for all appdef resources

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`description, location, modifiedBy, name, sortName`

Fields inherited from class org.hyperic.hq.appdef.AppdefBean
`cid, creationTime, modifiedTime`

Constructor Summary
`AppdefResource()` default constructor

Method Summary
`java.lang.String` | `getName()`
`Resource` | `getResource()`
`java.lang.String` | `getSortName()`
`void` | `setName(java.lang.String name)`
`protected void` | `setResource(Resource resource)`
`void` | `setSortName(java.lang.String sortName)`

Methods inherited from class org.hyperic.hq.appdef.server.session.AppdefNamedBean
`_getAuthzOp, getAppdefResourceType, getAppdefResourceValue, getAuthzOp, getDescription, getEntityId, getLocation, getModifiedBy, setDescription, setLocation, setModifiedBy`

Methods inherited from class org.hyperic.hq.appdef.AppdefBean
`allowContainerManagedCreationTime, allowContainerManagedLastModifiedTime, equals, getCid, getCreationTime, getCTime, getModifiedTime, getMTime, hashCode, matchesValueObject, setCid, setCreationTime, setModifiedTime`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefResource

    public AppdefResource()

  default constructor

Method Detail

### getResource

    public Resource getResource()

### setResource

    protected void setResource(Resource resource)

### getName

    public java.lang.String getName()

  Overrides:
    `getName` in class `AppdefNamedBean`

### setName

    public void setName(java.lang.String name)

  Overrides:
    `setName` in class `AppdefNamedBean`

### getSortName

    public java.lang.String getSortName()

  Overrides:
    `getSortName` in class `AppdefNamedBean`

### setSortName

    public void setSortName(java.lang.String sortName)

  Overrides:
    `setSortName` in class `AppdefNamedBean`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.